#include "gps.h"

#include <qgeopositioninfosource.h>
#include <qnmeapositioninfosource.h>
#include <qgeosatelliteinfosource.h>
#include <QTimer>
#include <QDebug>


GPS::GPS(QObject *parent, QWidget *mainwid) :
    QObject(parent),
    location(0),
    waitingForFix(false),
    mwid(mainwid)
{
}



void GPS::start()
{
    location = QGeoPositionInfoSource::createDefaultSource(this);

    location->setUpdateInterval(5000);


    connect(location, SIGNAL(positionUpdated(QGeoPositionInfo)),
            this, SLOT(positionUpdated(QGeoPositionInfo)));


    location->startUpdates();

}

void GPS::positionUpdated(const QGeoPositionInfo &info)
{
     latitude = info.coordinate().latitude();
     longitude = info.coordinate().longitude();

     emit getOK_GPS();

}
