#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    MainWindow::showFullScreen();
    ui->menuBar->show();
    ui->menuBar->addSeparator();
    ui->menuSpacer->setDisabled(true);
    qDebug() << "GPS " + ver() +" running.";
    MainWindow::setWindowTitle("GPS " + ver());

    gps = new GPS(this,this);
    connect(gps, SIGNAL(getOK_GPS()), this, SLOT(handlenewpos()));
    //startGPS();
    connect(ui->actiongetGPS, SIGNAL(triggered()),this,SLOT(startGPS()));


}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::startGPS(){

    gps->start();
}

void MainWindow::handlenewpos()
{
    ui->menuPlacename->setTitle(QString(QString::number(gps->get_lat(),'f',4) + " " + QString::number(gps->get_lon(),'f',4)));
}
